classification
Title: Better order in file type descriptions
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.2
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: loewis Nosy List: BreamoreBoy, dvarrazzo, loewis, tim.golden
Priority: low Keywords: easy

Created on 2006-09-27 11:07 by dvarrazzo, last changed 2010-08-06 17:42 by tim.golden. This issue is now closed.

Messages (3)
msg61259 - (view) Author: Daniele Varrazzo (dvarrazzo) * Date: 2006-09-27 11:07
Hello, just a little idea i apply each time i install a
new Python version on Windows.

When files extensions are registered, ".py" extension
receives the description "Python File", while ".pyc",
".pyo" are described as "Compiled Python File". This
means that, when files are shown into an Explorer
window and sorted by file type, the compiled files
appear above the source files, while usually an user
wants to work with sources.

I usually change the file description to "Python file -
compiled", so that i can have the sources before the
.pyc's and in alphabetical order.

A bonus would be to have .pyw file appear before
sources, because they are supposed to be double-clicked
and having them at the top could be handy. They may be
described as "No Console Python File", for example.

my € 0.02
msg113117 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-06 17:27
As a Windows user I'm not convinced this is worth doing.
msg113120 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2010-08-06 17:40
If individual users want to change these around, it's easy enough to do so post-hoc. Closing as won't fix.
History
Date User Action Args
2010-08-06 17:42:04tim.goldensetstatus: open -> closed
stage: resolved
2010-08-06 17:40:44tim.goldensetresolution: wont fix

messages: + msg113120
nosy: + tim.golden
2010-08-06 17:27:35BreamoreBoysetnosy: + BreamoreBoy
messages: + msg113117
2010-05-20 12:58:06loewissetversions: + Python 3.2, - Python 3.1, Python 2.7
2009-05-04 17:49:39georg.brandlsetassignee: loewis

nosy: + loewis
2009-04-22 12:45:58ajaksu2setkeywords: + easy
2009-03-30 02:33:47ajaksu2setpriority: normal -> low
versions: + Python 3.1, Python 2.7
2006-09-27 11:07:24dvarrazzocreate